#include "system_log.h"
#include "hank.h"
#include <stdio.h>

static char rcsid[] = "$Id: system_log_console.c,v 1.4 2001/11/10 01:45:33 tlewis Exp $";

static int my_init(void);
static int my_close(void);
static int my_configure(char * config);
static int my_log(char *msg, unsigned int facility, unsigned int priority);

static FILE *fd=NULL;

struct system_log slog = {
   {
		"system_log",
      "console",
      1,
      1,
      &slog
   },
	&my_init,
	&my_close,
	&my_configure,
	&my_log,
	~0U,
	~0U
};

static int 
my_init(void)
{
	if(fd==NULL)
		fd=stdout;
	return(0);
}

static int 
my_close(void)
{
	return(0);
}

static int 
my_configure(char * config)
{
	if(config==(char*)0)
		return(-1);
	if(!(strcmp(config, "stdout"))){
		fd = stdout;
	} else if(!(strcmp(config, "stderr"))){
		fd = stderr;
	} else {
		return(-1);
	}
	return(0);
}

static int 
my_log(char *msg, unsigned int facility, unsigned int priority)
{
	if(facility>(8*sizeof(slog.fac_mask)))
		return(-1);
	if(priority>(8*sizeof(slog.pri_mask)))
		return(-1);

	if((slog.fac_mask & 1<<facility) && (slog.pri_mask & 1<<priority)) {
		fprintf(fd, "%s: %s", slfacilities[facility], msg); */
	}
	return(0);
}

