#include "support.h"
#include "hank.h"
#include <stdio.h>
#include <string.h>

static char rcsid[] = "$Id: test_support.c,v 1.4 2001/11/10 01:45:33 tlewis Exp $";

int
main(int argc, char *argv[])
{
	char buf[33];
	char *sarg;
	struct ipv4_network *n;
	int i;

	if(argc<2){
		printf("Usage: %s <network>\n", argv[0]);
		exit(-1);
	}

	for(i=1;i<argc;i++){
		sarg=malloc(strlen(argv[i]));
		if(sarg==NULL)
			exit(-1);
		strncpy(sarg, argv[i], strlen(argv[i]));
		n=hs_convert_ip_net(sarg, NULL);
		if(n==NULL){
			printf("Illegal address: %s\n", argv[i]);
		} else {
			bit_dump(ntohl(n->addr), buf, 32);
			printf("Net: %s / ", buf);
			bit_dump(n->mask, buf, 32);
			printf("%s\n", buf);
		}
		free(sarg);
	}

	return(0);
}
