/* A small tester for the XML configurator */

#include "configurator.h"
#include <stdlib.h>
#include <stdio.h>

extern struct configurator configurator_xml;

int
main(int argc, char *argv[])
{
	struct configurator *c = &configurator_xml;
	struct configuration *n;
	int i;

	if(argc<2){
		fprintf(stderr, "Usage: %s <config_file...>\n", argv[0]);
		return(-1);
	}

	printf("Configuring...");
	for(i=1;i<argc;i++){
		if((n=c->configure((1), &argv[i]))==NULL){
			fprintf(stderr, "Configuration failed!\n");
			exit(-1);
		}
		printf("configured.  Config dir is \"%s\".\n", n->config_dir);
	}

	return(0);
}
