#ifndef HDT_IPV4H
#define HDT_IPV4H

#include "hdt.h"
#include "packet.h"
#include "types.h"

extern hdt_set hdt_ipv4_addr_create(void);
extern void hdt_ipv4_addr_destroy(hdt_set set);
extern hdt_prim hdt_ipv4_addr_add(hdt_set set, prim_id prid, char *op, char *arg);
extern void hdt_ipv4_addr_del(hdt_set set, hdt_prim prim);
extern int hdt_ipv4_addr_match(hdt_set set, hdt_prim *prims, u_int32_t val, unsigned char *rbuf, char newbits);
extern char *hdt_ipv4_addr_report(u_int32_t val, struct memcon_context *c);

#endif /* HDT_IPV4H */
