#ifndef   HANK_PROCESSOR_H
#define   HANK_PROCESSOR_H

/* Copyright 2001, Todd Lewis <tlewis@mindspring.com>
 * Released under GNU GPL v2. */

/* processor.h: data structures for processors */

#define PR_CAP_NONE 0
#define PR_CAP_MULTIPLE_MATCH 1<<0
#define PR_CAP_REENTRANT 1<<1

#include "smodule.h"

#define PRVMAJ 1
#define PRVMIN 1

struct processor {
	struct smodule s;
	/* reg_rule */
	/* unreg_rule */
	/* process */
	void (*configure)(char* config);
   int (*get_capabilities)(void); /* caps of the driver; called after conf() */
};

#endif /* HANK_PROCESSOR_H */
